Logs - Get
Get a specific log from a pipeline run
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}/logs/{logId}?api-version=7.1
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}/logs/{logId}?$expand={$expand}&api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
log
|
path | True |
integer (int32) |
ID of the log. |
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
pipeline
|
path | True |
integer (int32) |
ID of the pipeline. |
|
project
|
path | True |
string |
Project ID or project name |
|
run
|
path | True |
integer (int32) |
ID of the run of that pipeline. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
|
$expand
|
query |
Expand options. Default is None. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.build | Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to receive notifications about build events via service hooks. |
Definitions
| Name | Description |
|---|---|
|
Get |
Expand options. Default is None. |
| Log |
Log for a pipeline. |
|
Signed |
A signed url allowing limited-time anonymous access to private resources. |
GetLogExpandOptions
Expand options. Default is None.
| Value | Description |
|---|---|
| none | |
| signedContent |
Log
Log for a pipeline.
| Name | Type | Description |
|---|---|---|
| createdOn |
string (date-time) |
The date and time the log was created. |
| id |
integer (int32) |
The ID of the log. |
| lastChangedOn |
string (date-time) |
The date and time the log was last changed. |
| lineCount |
integer (int64) |
The number of lines in the log. |
| signedContent |
A signed url allowing limited-time anonymous access to private resources. |
|
| url |
string |
SignedUrl
A signed url allowing limited-time anonymous access to private resources.
| Name | Type | Description |
|---|---|---|
| signatureExpires |
string (date-time) |
Timestamp when access expires. |
| url |
string |
The URL to allow access to. |